> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# create-org-workspace-access-token

> Generate an access token for an organization workspace.



## OpenAPI

````yaml /api-reference/membrane-api.json post /org-workspaces/{id}/access-token
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /org-workspaces/{id}/access-token:
    post:
      summary: create-org-workspace-access-token
      description: Generate an access token for an organization workspace.
      operationId: createOrgWorkspaceAccessToken
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                tenantId:
                  description: Tenant ID to scope the token to
                  type: string
                tenantKey:
                  description: Tenant key to scope the token to (resolved to tenantId)
                  type: string
                name:
                  description: Name for the generated token
                  type: string
                fields:
                  description: Custom fields to include in the token
                  type: object
                  additionalProperties: {}
                connectedProductId:
                  description: '[INTERNAL] Connected product ID'
                  type: string
              additionalProperties: false
      responses:
        '200':
          description: Generate an access token for an organization workspace.
          content:
            application/json:
              schema:
                type: object
                properties:
                  token:
                    type: string
                    description: The generated access token
                required:
                  - token
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````